<template>
  <div id="app">
    <app-header :client-id="clientId"></app-header>
    <div class="container text-center">
      <h3>Please sign in</h3>
    </div>
    <div class="login-container">
      <div class="container">
        <div class="row login-split">

          <div class="col">
            <form class="container form-login" :action="'/form-login?client_id=' + (clientId || '') + '&next=' + (nextUrl || '')" method="post">
              <div class="row">
                <input class="col form-control" type="text" name="username" placeholder="name@example.com"/>
              </div>
              <div class="row">
                <input class="col form-control" type="password" name="password" placeholder="Password"/>
              </div>
              <div class="row">
                <input class="col btn btn-secondary" type="submit" value="Login"/>
              </div>
              <div class="row registration-link text-muted">
                <span>Don't have an account? <a class="text-primary" :href="'/ui/signup?client_id=' + (clientId || '') + '&next=' + (nextUrl || '')">Sign up!</a></span>
              </div>
            </form>
          </div>

          <div class="col container social-login">
            <div class="row">
              <a class="col btn btn-outline-primary" :href="'/signin/facebook?client_id=' + (clientId || '') + '&next=' + (nextUrl || '')">
                <i class="fab fa-facebook"></i>
                Facebook
              </a>
            </div>
            <div class="row">
              <a class="col btn btn-outline-danger" :href="'/signin/google?client_id=' + (clientId || '') + '&next=' + (nextUrl || '')">
                <i class="fab fa-google"></i>
                Google
              </a>
            </div>
            <div class="row">
              <a class="col btn btn-outline-info" :href="'/signin/twitter?client_id=' + (clientId || '') + '&next=' + (nextUrl || '')">
                <i class="fab fa-twitter"></i>
                Twitter
              </a>
            </div>
          </div>

        </div>
      </div>
    </div>
    <app-footer></app-footer>
  </div>
</template>

<script lang="ts" src="./LoginPage.ts"></script>
<style lang="scss" src="../main.scss"></style>
<style scoped lang="scss" src="./LoginPage.scss"></style>
